# Generated by Django 3.2.19 on 2023-07-01 15:15

from django.db import migrations
from django.db.models import Min


def populate_start_time(apps, schema_editor):
    TeamPuzzleProgress = apps.get_model('hunts', 'TeamPuzzleProgress')
    Guess = apps.get_model('hunts', 'Guess')
    for tpp in TeamPuzzleProgress.objects.filter(start_time=None):
        guesses = Guess.objects.filter(for_puzzle=tpp.puzzle, by_team=tpp.team)
        if guesses.count():
            tpp.start_time = guesses.aggregate(Min('given'))['given__min']
            tpp.save()
        else:
            tpp.delete()


class Migration(migrations.Migration):

    dependencies = [
        ('hunts', '0029_alter_episode_first_finishers_min_headstart'),
    ]

    operations = [
        migrations.RunPython(
            code=populate_start_time,
            reverse_code=migrations.RunPython.noop,
            elidable=True,
        ),
    ]
